import bluetooth
import telnetlib
import sys
import atexit


#Create Bluetooth Socket
btsock = bluetooth.BluetoothSocket(bluetooth.RFCOMM)
tn = 0

def BT_connect():
  try:
    #Connect Bluetooth Socket
    btsock.connect(("00:18:e4:25:ea:e2", 1))
    #Print the response
    count = 0
    data = " ";
    while (count < 16) :
      data = data + btsock.recv(1)
      count = count + 1
    print(data)
    return 1
  except IOError:
    btsock.close()
    return 0
  
# def BT_reconnect():
  # while (BT_connect() == 0):
    # print "Connection failed..\nReconnecting.."

def cleanup():
  btsock.close()
  tn.close()


#Register cleanup function
atexit.register(cleanup)
  
#Connect Bluetooth
BT_connect()

#Connect squeezeserver
try:
  print('Connecting to SqueezeServer..')
  tn = telnetlib.Telnet("elektrobrikke", 9090)
  tn.write("version ?\n")
  response = tn.read_until("\n")
  print('Connected!')
  print(response)
except socket.gaierror:
  print("Could not connect to squeezeserver")
  sys.exit()

#Main loop
while 1:
  #Wait for RFID tag read
  count = 0;
  data = "";
  while (count < 13) :
    if "+REMOVED" in data:
      #tn.write("stop\n")
      count = 0;
      data = "";
    if " " in data:
      count = 0;
      data = "";      
    try:
      latest_char = btsock.recv(1)
      data = data + latest_char
      count = count + 1
      if latest_char == "":
        print("Connection lost, exiting..")
        sys.exit()
    except IOError:
      print("Connection lost, exiting..")
      sys.exit()
  print(data)


  #Find the associated command and send it
  if "+0415EBDE24" in data: #Classical
    tn.write("playlist play /data/klassisk\n")
    #tn.write("playlist play Juletrefest\n")
  elif "+2E002F750A" in data: #New Orleans
    tn.write("playlist play /data/New_Orleans_Jazz\n")
    #tn.write("randomplay tracks\n")
  elif "+3100D4BDB1" in data: #Relax
    tn.write("playlist play /data/Relax\n") 
  elif "+0415B10B12" in data: #Oyvind
    tn.write("playlist play oyvind\n") 
  elif "+0415D8DF99" in data: #Joanna
    tn.write("playlist play joanna\n")
  elif "+0415D8D0E4" in data: #Stop
    tn.write("stop\n")
  #elif "++0415D8F9F0" in data: #NRK P2
    #tn.write("playlist play /data/Relax\n")

 


 

 

 

 







